set PingPlotter = GetObject("","pingplotter.PingPlotter_Engine")

PingPlotter.Show
PingPlotter.LeaveApplicationRunning = true

set SummaryGraph = PingPlotter.SummaryGraph

OldFocus = SummaryGraph.FocusPeriod
OldTimeGraphTime = SummaryGraph.TimeGraphTime

' Focus Period is in Seconds.  Make it 24 hours.
SummaryGraph.FocusPeriod = 60 * 60 * 24

' Time Graph Time is in Minutes
SummaryGraph.TimeGraphTime = 60 * 24

' Get the image as a Variant (binary) in png format
GraphImageFileName = WScript.CreateObject("Scripting.FileSystemObject").GetSpecialFolder(2) + "\Summary.png"
SummaryGraph.SaveImageToFile(GraphImageFileName)

SummaryGraph.FocusPeriod = OldFocus
SummaryGraph.TimeGraphTime = OldTimeGraphTime

Set objEmail = CreateObject("CDO.Message")

objEmail.Configuration.Fields.Item _
    ("http://schemas.microsoft.com/cdo/configuration/smtpserver") = _
        "smtp.yourserver.com" ' EDIT THIS!!!!
objEmail.Configuration.Fields.Item _
    ("http://schemas.microsoft.com/cdo/configuration/smtpserverport") = 25 ' EDIT THIS!!!!

objEmail.From = "you@youremail.com"  ' EDIT THIS!!!!
objEmail.To = "you@youremail.com" ' EDIT THIS!!!!

objEmail.Subject = "Daily PingPlotter Summary for " & date
objEmail.Textbody = "Daily PingPlotter Summary for " & date
objEmail.AddAttachment GraphImageFileName
objEmail.Configuration.Fields.Item _
    ("http://schemas.microsoft.com/cdo/configuration/sendusing") = 2
objEmail.Configuration.Fields.Update
objEmail.Send

WScript.CreateObject("Scripting.FileSystemObject").DeleteFile GraphImageFileName, true